Fetch OpenGraph tags from a URL
POST
/opengraph
Authentication
Bearer Token API Key (header: X-API-Key)
Request Body required
application/jsonunknown
Responses
200
OpenGraph tag data
No response body
400
Missing url
502
Failed to fetch URL
curl -X POST 'https://shopsniffer.com/api/opengraph' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d 'null'
const response = await fetch('https://shopsniffer.com/api/opengraph', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify(null)});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://shopsniffer.com/api/opengraph', headers=headers, json=null)print(response.json())
API Playground
Try this endpoint
POST
/opengraph